models/mapobjects/gr_trees/nadelsnowr
{
	cull none
	nopicmip

	{
		map models/mapobjects/gr_trees/nadelsnowr.tga
		alphafunc ge128
		depthwrite
		rgbgen vertex
	}
}

models/mapobjects/geit/branch
{
	cull none
	nopicmip

	{
		map models/mapobjects/geit/branch.tga
		alphafunc ge128
		depthwrite
		rgbgen vertex
	}
}

models/mapobjects/gr_trees/kerzerot
{
	cull none
	nopicmip

	{
		map models/mapobjects/gr_trees/kerzerot.tga
		alphafunc ge128
		depthwrite
		rgbgen vertex
	}
}

models/mapobjects/cfe/cfe
{
	cull none
	nopicmip
	nomipmaps
	

	{
		map models/mapobjects/cfe/cfe.tga
		
		
		rgbgen vertex 
        }
	{
		map $lightmap
		tcgen environment
		blendfunc filter
	}
	{
		map textures/pad_gfx02/tinpad3.tga
		blendfunc gl_one gl_one 
		tcgen environment
                rgbgen vertex 
	}
}

models/mapobjects/balloons/balloon2
{
	cull none
	nopicmip
	nomipmaps
	

	{
		map models/mapobjects/balloons/balloon2.tga
		
		
		rgbgen vertex 
        }
	{
		map $lightmap
		tcgen environment
		blendfunc filter
	}
	{
		map textures/pad_gfx02/tinpad3.tga
		blendfunc gl_one gl_one 
		tcgen environment
                rgbgen vertex 
	}
}

models/mapobjects/balloons/balloon3
{
	cull none
	nopicmip
	nomipmaps
	

	{
		map models/mapobjects/balloons/balloon3.tga
		
		
		rgbgen vertex 
        }
	{
		map $lightmap
		tcgen environment
		blendfunc filter
	}
	{
		map textures/pad_gfx02/tinpad3.tga
		blendfunc gl_one gl_one 
		tcgen environment
                rgbgen vertex 
	}
}

models/mapobjects/balloons/balloon1
{
	cull none
	nopicmip
	nomipmaps
	

	{
		map models/mapobjects/balloons/balloon1.tga
		
		
		rgbgen vertex 
        }
	{
		map $lightmap
		tcgen environment
		blendfunc filter
	}
	{
		map textures/pad_gfx02/tinpad3.tga
		blendfunc gl_one gl_one 
		tcgen environment
                rgbgen vertex 
	}
}

models/mapobjects/topy/topy
{
	cull none
	nopicmip
	nomipmaps
	

	{
		map models/mapobjects/topy/topy.tga
		
		
		rgbgen vertex 
        }
	{
		map $lightmap
		tcgen environment
		blendfunc filter
	}
	{
		map textures/pad_gfx02/tinpad3.tga
		blendfunc gl_one gl_one 
		tcgen environment
                rgbgen vertex 
	}
}

models/mapobjects/oli_v/black_n
{
   surfaceparm trans
   sort additive
   cull disable
   {
      map models/mapobjects/oli_v/black_n.tga
      blendfunc add
      tcgen environment 
   }
   {
      map textures/pad_gfx02/tinpad3.tga
      blendfunc add
      tcgen environment 
   }
}

textures/common/invisible
{
	surfaceparm nolightmap			
        {
                map textures/common/invisible.tga
                alphafunc ge128
		depthwrite
		rgbgen vertex
        }
}

textures/common/trigger
{
	qer_trans 0.50
	qer_nocarve
	surfaceparm nodraw
}

textures/common/weapclip
{
	qer_trans 0.40
	surfaceparm nodraw
    	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
}

textures/common/botclip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm botclip
}

textures/common/woodclip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
	surfaceparm woodsteps 
}

textures/pad_bookroom/tep004
{
surfaceparm carpetsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_bookroom/tep004.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_objects02/pad_tuch
{
surfaceparm carpetsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_objects02/pad_tuch.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_wop/padjump_blue
{

        q3map_surfacelight	30

	surfaceparm	trans
	surfaceparm nonsolid
             	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	
	{
		map textures/pad_wop/padjump_blue.tga
		blendfunc gl_one gl_one
                rgbgen wave triangle 0 1 0 1
                
	}	
	{
		map textures/pad_wop/padjump_blue2.tga
		blendfunc gl_one gl_one
                rgbgen wave triangle 1 1 0 1
               
	}	
}

textures/pad_wop/padtele
{
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	surfaceparm nonsolid
              surfaceparm trans
	q3map_lightimage textures/pad_wop/padtele.tga	
	q3map_surfacelight 100

	{
		map textures/pad_wop/padtele_electric.tga
		blendfunc add
                	rgbgen wave triangle 1.8 2 0 7
                	tcmod scroll 0 -1
	}
	{
		map textures/pad_wop/padtele_electric.tga
		blendfunc add
                	rgbgen wave triangle 1 1.1 1 5
                	tcmod scale  -1 1.5
                	tcmod scroll 0 1.5
	}
	{
		map textures/pad_wop/padtele.tga
		blendfunc add
                	rgbgen wave triangle 2 1.4 3 7.7
                	tcmod scroll 0 0.8
	}
	
}

textures/pad_enteflare/neon01
{
	qer_editorimage textures/pad_enteflare/neon01.tga
	surfaceparm nomarks
              q3map_flareshader flareshader
	q3map_surfacelight 300
        {
		map $lightmap
		rgbgen identity
	}
	{
		map textures/pad_enteflare/neon01.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/pad_enteflare/neon01_blend.tga
		blendfunc gl_one gl_one
	}
}

textures/pad_enteflare/lightyy
{
    q3map_surfacelight 400
              q3map_flareshader flareshader
	surfaceparm nolightmap
    {
        map textures/pad_enteflare/lightyy.tga
    }
}

models/mapobjects/pad_weaponmarker/pad_wepm_blue_bg
{	
	nopicmip
	qer_editorimage models/mapobjects/pad_weaponmarker/pad_wepm_blue_bg.tga
	{
		map models/mapobjects/pad_weaponmarker/pad_wepm_blue_bg.tga
		
		
	}
	{
		map models/mapobjects/pad_weaponmarker/pad_wepm_blueglow.tga
		rgbgen wave sin .05 .9 0 .4
		blendfunc add
	}
}

models/mapobjects/pad_weaponmarker/pad_wepm_black_bg
{	
	nopicmip
	qer_editorimage models/mapobjects/pad_weaponmarker/pad_wepm_black_bg.tga
	{
		map models/mapobjects/pad_weaponmarker/pad_wepm_black_bg.tga
		
		
	}
	{
		map models/mapobjects/pad_weaponmarker/pad_wepm_blueglow.tga
		rgbgen wave sin .05 .9 0 .4
		blendfunc add
	}
}

models/mapobjects/pad_weaponmarker/pad_wepm_green_bg
{	
	nopicmip
	qer_editorimage models/mapobjects/pad_weaponmarker/pad_wepm_green_bg.tga
	{
		map models/mapobjects/pad_weaponmarker/pad_wepm_green_bg.tga
		
		
	}
	{
		map models/mapobjects/pad_weaponmarker/pad_wepm_pinkglow.tga
		rgbgen wave sin .05 .9 0 .4
		blendfunc add
	}
}

models/mapobjects/pad_weaponmarker/pad_wepm_green_gg
{	
	nopicmip
	qer_editorimage models/mapobjects/pad_weaponmarker/pad_wepm_green_gg.tga
	{
		map models/mapobjects/pad_weaponmarker/pad_wepm_green_gg.tga
		
		
	}
	{
		map models/mapobjects/pad_weaponmarker/pad_wepm_greenglow.tga
		rgbgen wave sin .05 .9 0 .4
		blendfunc add
	}
}

models/mapobjects/pad_weaponmarker/pad_wepm_bluecone
{
	nopicmip
	cull none
	qer_editorimage models/mapobjects/pad_weaponmarker/beam_blue.tga
	{
		map models/mapobjects/pad_weaponmarker/beam_blue.tga
                tcmod scroll .3 0
                blendfunc add
        }
     
}

models/mapobjects/pad_weaponmarker/pad_wepm_greencone
{
	nopicmip
	cull none
	qer_editorimage models/mapobjects/pad_weaponmarker/beam_green.tga
	{
		map models/mapobjects/pad_weaponmarker/beam_green.tga
                tcmod scroll .3 0
                blendfunc add
        }
     
}

textures/pad_gfx/glass_normal
{
	qer_editorimage textures/pad_gfx/glass_normal.tga
        surfaceparm trans	
	cull none
	surfaceparm nolightmap
	qer_trans 	0.5
     
        {
		map textures/pad_gfx/glass_normal.tga
                tcgen environment
		blendfunc gl_one gl_one
		rgbgen identity
	}
        {
		map $lightmap
		rgbgen identity
		blendfunc filter
	}
           
}

textures/pad_gfx/glass_blue
{
	qer_editorimage textures/pad_gfx/glass_blue.tga
        surfaceparm trans	
	cull none
	surfaceparm nolightmap
	qer_trans 	0.5
     
        {
		map textures/pad_gfx/glass_blue.tga
                tcgen environment
		blendfunc gl_one gl_one
		rgbgen identity
	}
        {
		map $lightmap
		rgbgen identity
		blendfunc filter
	}
           
}

textures/pad_gfx/glass2_blue
{
	qer_editorimage textures/pad_gfx/glass2_blue.tga
        surfaceparm trans	
	cull none
	surfaceparm nolightmap
	qer_trans 	0.5
     
        {
		map textures/pad_gfx/glass2_blue.tga
                tcgen environment
		blendfunc gl_one gl_one
		rgbgen identity
	}
        {
		map $lightmap
		rgbgen identity
		blendfunc filter
	}
           
}

textures/pad_gfx/window
{
	qer_editorimage textures/pad_gfx/window.tga
	{
		map textures/pad_gfx/window.tga
		rgbgen identity
	}
	{
		map textures/pad_gfx02/tinpad3.tga
        	tcgen environment
                blendfunc add
                rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}
}

textures/pad_gfx/water_static
{
	qer_editorimage textures/pad_gfx/water_01.tga
	q3map_lightimage textures/pad_gfx/water_02.tga
	surfaceparm nodrop
	surfaceparm noimpact
	
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm water
	surfaceparm trans
	surfaceparm fog
	fogparms ( 0 0.27 0.42 ) 500
	cull disable
	qer_trans 0.5
	q3map_globaltexture
	

	{
		map textures/pad_gfx/water_01.tga
		blendfunc add
		rgbgen identity
		tcmod turb 0.2 0.1 1 0.05
		tcmod scale 0.5 0.5
		tcmod scroll 0.01 0.01
	}

}

textures/pad_gfx02/plas07
{
	qer_editorimage textures/pad_gfx02/plas07.tga
	{
		map textures/pad_gfx02/plas07.tga
		rgbgen identity
	}
	{
		map textures/pad_gfx02/tinpad.tga
        	tcgen environment
                blendfunc add
                rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}
}

textures/pad_gfx02/metal05
{
	
        {
		rgbgen identity
		map $lightmap
	}
	{
		map textures/pad_gfx02/metal05.tga
		blendfunc gl_dst_color gl_src_alpha
		rgbgen identity
		alphagen lightingspecular
	}
        {
		map textures/pad_gfx02/tinpad.tga
                tcgen environment
		blendfunc gl_one gl_one
		rgbgen identity
	}
       
        {
		map textures/pad_gfx02/metal05.tga
		
                blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/pad_gfx02/metal06
{
	
        {
		rgbgen identity
		map $lightmap
	}
	{
		map textures/pad_gfx02/metal06.tga
		blendfunc gl_dst_color gl_src_alpha
		rgbgen identity
		alphagen lightingspecular
	}
        {
		map textures/pad_gfx02/tinpad.tga
                tcgen environment
		blendfunc gl_one gl_one
		rgbgen identity
	}
       
        {
		map textures/pad_gfx02/metal06.tga
		
                blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/pad_gfx02/metal11
{
	
        {
		rgbgen identity
		map $lightmap
	}
	{
		map textures/pad_gfx02/metal11.tga
		blendfunc gl_dst_color gl_src_alpha
		rgbgen identity
		alphagen lightingspecular
	}
        {
		map textures/pad_gfx02/tinpad.tga
                tcgen environment
		blendfunc gl_one gl_one
		rgbgen identity
	}
       
        {
		map textures/pad_gfx02/metal11.tga
		
                blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/pad_poster/gummibaer
{
	qer_editorimage textures/pad_poster/gummibaer.tga
	{
		map textures/pad_poster/gummibaer.tga
		rgbgen identity
	}
	{
		map textures/pad_gfx02/tinpad3.tga
		blendfunc add
		rgbgen identity
		tcgen environment
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}
}

models/mapobjects/gummybears/redgum
{

	{
                map models/mapobjects/gummybears/redgum.tga
		tcgen environment
		blendfunc gl_one gl_one
        }


}

models/mapobjects/gummybears/yellowgum
{
	{
                map models/mapobjects/gummybears/yellowgum.tga
		tcgen environment
		blendfunc gl_one gl_one
        }


}

models/mapobjects/gummybears/orangegum
{
	{
                map models/mapobjects/gummybears/orangegum.tga
		tcgen environment
		blendfunc gl_one gl_one
        }


}

models/mapobjects/pad_plates/plate_under
{
	cull none
	nopicmip
	nomipmaps
	

	{
		map models/mapobjects/pad_plates/plate_under.tga
		
		
		rgbgen vertex 
        }
	{
		map $lightmap
		tcgen environment
		blendfunc filter
	}
	{
		map textures/pad_gfx02/tinpad3.tga
		blendfunc gl_one gl_one
		tcgen environment
                rgbgen vertex 
	}
}

models/mapobjects/pad_plates/plate_coffee005
{
	cull none
	nopicmip
	nomipmaps
	

	{
		map models/mapobjects/pad_plates/plate_coffee005.tga
		
		
		rgbgen vertex 
        }
	{
		map $lightmap
		tcgen environment
		blendfunc filter
	}
	{
		map textures/pad_gfx02/tinpad3.tga
		blendfunc gl_one gl_one
		tcgen environment
                rgbgen vertex 
	}
}

models/mapobjects/pad_lamps/gooseneck
{
	cull none
	nopicmip
	nomipmaps
	

	{
		map models/mapobjects/pad_lamps/gooseneck.tga
		
		
		rgbgen vertex 
        }
	{
		map $lightmap
		tcgen environment
		blendfunc filter
	}
	{
		map textures/pad_gfx02/tinpad3.tga
		blendfunc gl_one gl_one
		tcgen environment
                rgbgen vertex 
	}
}

models/mapobjects/pad_books/pad_openbook_rp
{
	qer_editorimage models/mapobjects/pad_books/pad_openbook.tga
	surfaceparm nolightmap
	surfaceparm nonsolid
	cull twosided
	{
		map models/mapobjects/pad_books/pad_openbook.tga
		rgbgen vertex
        }
}

models/mapobjects/pad_nascars/padcar_orange
{
	cull none
	nopicmip
	nomipmaps
	

	{
		map models/mapobjects/pad_nascars/padcar_orange.tga
		
		
		rgbgen vertex 
        }
	{
		map $lightmap
		tcgen environment
		blendfunc filter
	}
	{
		map textures/pad_gfx02/tinpad3.tga
		blendfunc gl_one gl_one
		tcgen environment
                rgbgen vertex 
	}
}

models/mapobjects/padtv/tv02
{
   	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nonsolid
	q3map_lightimage models/mapobjects/padtv/tv004.tga
	q3map_surfacelight 100
	nopicmip

       	{
               	animmap .4 models/mapobjects/padtv/tv001.tga models/mapobjects/padtv/tv003.tga models/mapobjects/padtv/tv001.tga models/mapobjects/padtv/tv004.tga models/mapobjects/padtv/tv006.tga models/mapobjects/padtv/tv001.tga models/mapobjects/padtv/tv005.tga
               	rgbgen identity
       	}
	{
		map models/mapobjects/padtv/scanline.tga
		blendfunc blend
		rgbgen identity
		tcmod scroll 0 -0.035
		tcmod scale 45 45
	}
	{
		map textures/pad_gfx02/tinpad3.tga
        	tcgen environment
                blendfunc gl_one gl_one
                rgbgen identity
	}
}

models/mapobjects/pad_actionfigures/plastic
{
	surfaceparm trans
	cull disable
	{
		map textures/pad_gfx02/tinpad3.tga
		blendfunc gl_one gl_one_minus_src_color
		rgbgen identity
		tcgen environment
	}
}

models/mapobjects/pad_actionfigures/fig_pumper
{
	{
		map models/weapons2/pumper/pumper.tga
		rgbgen vertex
	}
}

models/mapobjects/pad_actionfigures/fig_pumpertubes
{
	{
		map models/weapons2/pumper/tubes.tga
		rgbgen vertex
	}
}

models/mapobjects/pad_actionfigures/padgrlhd
{
	{
		map models/wop_players/padgirl/padgrlhd.tga
		rgbgen vertex
	}
}

models/mapobjects/pad_actionfigures/padgrlbd
{
	{
		map models/wop_players/padgirl/padgrlbd.tga
		rgbgen vertex
	}
}

models/mapobjects/pad_actionfigures/lilhead
{
	{
		map models/wop_players/padlilly/lilhead.tga
		rgbgen vertex
	}
}

models/mapobjects/pad_actionfigures/lilbody
{
	{
		map models/wop_players/padlilly/lilbody.tga
		rgbgen vertex
	}
}

textures/pad_objects/obj009
{
surfaceparm carpetsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_objects/obj009.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_wood/wood066
{
surfaceparm woodsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_wood/wood066.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_wood/wood4arot
{
surfaceparm woodsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_wood/wood4arot.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_woodobjects/chest002b
{
surfaceparm woodsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_woodobjects/chest002b.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_woodobjects/chest004
{
surfaceparm woodsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_woodobjects/chest004.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_woodobjects/chest004b
{
surfaceparm woodsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_woodobjects/chest004b.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_tex02/padjump_flyred
{
	
	{
		map $lightmap
		rgbgen identity
	}

	{ 
		map textures/pad_tex02/padjump_flyred.tga
		rgbgen identity
		blendfunc gl_dst_color gl_zero
	}

	{	
		map textures/pad_tex02/padjump_light02.tga
		blendfunc gl_one gl_one	
		rgbgen wave inversesawtooth 0 1 0 1	
	}


	{ 
		animmap 4 textures/pad_tex02/padjump_start.tga textures/pad_tex02/launchpad_arrow2.tga textures/pad_tex02/launchpad_arrow2.tga textures/pad_tex02/launchpad_arrow2.tga
		blendfunc gl_one gl_one
		tcmod scroll 0 2
	}

}

textures/pad_maps/woptrailer
{

    qer_editorimage textures/pad_maps/pad_movie.tga
    surfaceparm trans
    surfaceparm nolightmap
    cull disable

        {
		map textures/pad_gfx02/tinpad3.tga
                tcgen environment
                rgbgen identity
	}

	{
		videomap wop_trailer.roq
		blendfunc add
                rgbgen identity
	}
       
}

textures/pad_trash/trash_skybox_night
{
	qer_editorimage env/pc-friday-13th-512_ft.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm sky
	q3map_sun 0.47451 0.576471 1 55 210 60
	skyparms env/pc-friday-13th-512 128 -
}

